#!/usr/bin/env python
# encoding: utf-8
"""
Notify the user via Growl that his tea (or what else) is ready.

"""

import sys


def notify(title, message, icon, sticky):
    """Notifies the user via an AppleScript."""
    from os import getcwd
    from os.path import join
    import subprocess

    icon = join(getcwd(), icon)
    cmd = ['/usr/bin/osascript', 'growl.scpt', title, message, icon, sticky]
    subprocess.call(cmd)


def main(argv):
    """
    Notify the user via the Growl python binding if the module could be loaded
    or via an AppleScript.

    """
    icon = 'Images/alarmclock.png'
    notify(argv[1], argv[2], icon, argv[3])


if __name__ == '__main__':
    exit(main(sys.argv))
